#ifndef FORTRESSCOMMONDEFS_H_INCLUDED
#define FORTRESSCOMMONDEFS_H_INCLUDED

//Fortres common defines

#define MaxTurnTime 20000 //
#define MaxProjectsToPlayer 15 //
#define TotalProjectsCount 50
#define BotNameMaxLength 30   //    

#define BlockShieldValue 20

#define BaseLabLimit 5   //     
#define UnlimitLabsBaseValue 50 //          - 
#define UnlimitLabsStep 5 //

const char HUMAN_NAME[] = "_HUMAN_";

typedef struct PlayerInfo {
    int Base;
    int Shield;
    int Battery;
    int Mines;
    int Labs;

    int Energy;
    int Metal;
    int Elements;
} TPlayerInfo, *PPlayerInfo ;

typedef int *PAvailProjects;

typedef struct AdditionalGameInfo {
    int PreviousOpponentProject;
    int TurnCount;
    DWORD PlrMessage;
    DWORD GameFlags;
    char OpponentName[BotNameMaxLength+1];
    DWORD GameResult;
    DWORD Reserved;
} TAdditionalGameInfo, *PAdditionalGameInfo;

#define GF_EXTENDED 0x00010000
#define GF_BOT_vs_BOT 0x10000000
#define GF_SHOWGAMERESULT 0x20000000

#define GR_FirstLose 0x00000001
#define GR_SecondLose 0x00000002
#define GR_Draw 0x00000004
#define GR_WIN 0x00000008
#define GR_ERROR 0x00000010
#define GR_TimeOut 0x00000020



#endif // FORTRESSCOMMONDEFS_H_INCLUDED
